<button
  mat-button
  [matMenuTriggerFor]="moreActions"
  (click)="onMoreActionsToggle()"
>
  <mat-icon> more_vert </mat-icon>
</button>
<mat-menu #moreActions="matMenu">
  <button
    mat-menu-item
    *ngIf="!can_resume"
    color="accent"
    [disabled]="!can_pause"
    (click)="pause()"
    title="Pause"
  >
    <mat-icon class="pause-icon" color="primary">pause</mat-icon>
    <span class="v-align-middle">Pause</span>
  </button>
  <button
    mat-menu-item
    *ngIf="!can_pause && can_resume"
    color="accent"
    (click)="resume()"
    title="Resume"
  >
    <mat-icon class="v-align-middle" color="primary">play_arrow</mat-icon>
    <span class="v-align-middle">Resume</span>
  </button>
  <button
    mat-menu-item
    class="stop"
    color="warn"
    [disabled]="!can_stop || !right_stop"
    (click)="stop()"
    title="Stop"
  >
    <mat-icon class="v-align-middle" color="warn">stop</mat-icon>
    <span class="v-align-middle">Stop</span>
  </button>
  <button
    mat-menu-item
    class="delete"
    [disabled]="!right_delete || !can_delete || child_workflow"
    color="warn"
    (click)="delete()"
    title="Delete"
  >
    <mat-icon class="v-align-middle" color="warn">delete</mat-icon>
    <span class="v-align-middle">Delete</span>
  </button>
  <button
    mat-menu-item
    class="duplicate"
    [disabled]="!right_duplicate || child_workflow"
    color="accent"
    (click)="duplicate()"
    title="Duplicate"
  >
    <mat-icon class="v-align-middle" color="accent">file_copy</mat-icon>
    <span class="v-align-middle">Duplicate</span>
  </button>
</mat-menu>
